Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/ChangeLog	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -1,2 +1,5 @@
+2014-03-31 Bruce Dubbs <bdubbs@linuxfromscratch.org>
+   * Changes made to be consistent with common systemd functions
+
 2013-08-21 Bruce Dubbs <bdubbs@linuxfromscratch.org>
    * Delete duplicate entry in rc.site file.
Index: bootscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/Makefile	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -1,4 +1,6 @@
-EXTDIR=${DESTDIR}/etc
-LIBDIR=${DESTDIR}/lib/services
+ETCDIR=${DESTDIR}/etc
+LIBDIR=${DESTDIR}/lib
+SERVICEDIR=${LIBDIR}/services
+UNITDIR=${LIBDIR}/systemd/system
 MAN8=${DESTDIR}/usr/share/man/man8
 SBIN=${DESTDIR}/sbin
@@ -12,59 +14,63 @@
 
 create-dirs:
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rc0.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rc1.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rc2.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rc3.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rc4.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rc5.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rc6.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/rcS.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/rc.d/init.d
-	install -d -m ${DIRMODE}  ${EXTDIR}/sysconfig
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rc0.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rc1.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rc2.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rc3.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rc4.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rc5.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rc6.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/rcS.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/rc.d/init.d
+	install -d -m ${DIRMODE}  ${ETCDIR}/sysconfig
 	install -d -m ${DIRMODE}  ${LIBDIR}
+	install -d -m ${DIRMODE}  ${SERVICEDIR}
+	install -d -m ${DIRMODE}  ${UNITDIR}
 	install -d -m ${DIRMODE}  ${MAN8}
 	install -d -m ${DIRMODE}  ${SBIN}
-	ln -sfn       services    ${DESTDIR}/lib/lsb
-	ln -sfn       rc.d/init.d ${EXTDIR}/init.d
+	ln -sfn       services    ${LIBDIR}/lsb
+	ln -sfn       rc.d/init.d ${ETCDIR}/init.d-sysv
+	ln -sfn       init.d-sysv ${ETCDIR}/init.d
 
 files: create-dirs 
-	install -m ${MODE} lfs/init.d/checkfs       ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/cleanfs       ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/halt          ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/console       ${EXTDIR}/rc.d/init.d/
-	install -m ${CONFMODE} lfs/init.d/functions ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/localnet      ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/modules       ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/mountfs       ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/mountvirtfs   ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/network       ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/rc            ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/reboot        ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/sendsignals   ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/setclock      ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/swap          ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/sysctl        ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/sysklogd      ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/template      ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/udev          ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/udev_retry    ${EXTDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/checkfs       ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/cleanfs       ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/halt          ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/console       ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/localnet      ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/modules       ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/mountfs       ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/mountvirtfs   ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/network       ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/rc            ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/reboot        ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/sendsignals   ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/setclock      ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/swap          ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/sysctl        ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/sysklogd      ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/template      ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/udev          ${ETCDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/udev_retry    ${ETCDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/sbin/ifup            ${SBIN}
 	install -m ${MODE} lfs/sbin/ifdown          ${SBIN}
-	install -m ${MODE} lfs/sbin/ifup.8          ${MAN8}
+	install -m ${CONFMODE} lfs/sbin/ifup.8      ${MAN8}
 	ln -sf  ifup.8                              ${MAN8}/ifdown.8
-	install -m ${MODE} lfs/lib/services/ipv4-static-route  ${LIBDIR}
-	install -m ${MODE} lfs/lib/services/ipv4-static        ${LIBDIR}
-	install -m ${CONFMODE} lfs/lib/services/init-functions ${LIBDIR}
-	if [ ! -f ${EXTDIR}/sysconfig/createfiles ]; then \
-          install -m ${CONFMODE} lfs/sysconfig/createfiles ${EXTDIR}/sysconfig/ ;\
+	install -m ${MODE}     lfs/lib/services/ipv4-static-route  ${SERVICEDIR}
+	install -m ${MODE}     lfs/lib/services/ipv4-static        ${SERVICEDIR}
+	install -m ${CONFMODE} lfs/lib/services/init-functions     ${SERVICEDIR}
+	install -m ${CONFMODE} lfs/units/ifupdownat.service        ${UNITDIR}/ifupdown@.service
+
+	if [ ! -f ${ETCDIR}/sysconfig/createfiles ]; then \
+          install -m ${CONFMODE} lfs/sysconfig/createfiles ${ETCDIR}/sysconfig/ ;\
         fi
-	if [ ! -f ${EXTDIR}/sysconfig/modules     ]; then \
-          install -m ${CONFMODE} lfs/sysconfig/modules     ${EXTDIR}/sysconfig/ ;\
+	if [ ! -f ${ETCDIR}/sysconfig/modules     ]; then \
+          install -m ${CONFMODE} lfs/sysconfig/modules     ${ETCDIR}/sysconfig/ ;\
         fi
-	if [ ! -f ${EXTDIR}/sysconfig/udev_retry  ]; then \
-          install -m ${CONFMODE} lfs/sysconfig/udev_retry  ${EXTDIR}/sysconfig/ ;\
+	if [ ! -f ${ETCDIR}/sysconfig/udev_retry  ]; then \
+          install -m ${CONFMODE} lfs/sysconfig/udev_retry  ${ETCDIR}/sysconfig/ ;\
         fi
-	if [ ! -f ${EXTDIR}/sysconfig/rc.site     ]; then \
-          install -m ${CONFMODE} lfs/sysconfig/rc.site     ${EXTDIR}/sysconfig/ ;\
+	if [ ! -f ${ETCDIR}/sysconfig/rc.site     ]; then \
+          install -m ${CONFMODE} lfs/sysconfig/rc.site     ${ETCDIR}/sysconfig/ ;\
         fi
 
@@ -72,58 +78,58 @@
 
 rcS: files
-	ln -sf ../init.d/mountvirtfs ${EXTDIR}/rc.d/rcS.d/S00mountvirtfs
-	ln -sf ../init.d/modules     ${EXTDIR}/rc.d/rcS.d/S05modules
-	ln -sf ../init.d/localnet    ${EXTDIR}/rc.d/rcS.d/S08localnet
-	ln -sf ../init.d/udev        ${EXTDIR}/rc.d/rcS.d/S10udev
-	ln -sf ../init.d/swap        ${EXTDIR}/rc.d/rcS.d/S20swap
-	ln -sf ../init.d/checkfs     ${EXTDIR}/rc.d/rcS.d/S30checkfs
-	ln -sf ../init.d/mountfs     ${EXTDIR}/rc.d/rcS.d/S40mountfs
-	ln -sf ../init.d/cleanfs     ${EXTDIR}/rc.d/rcS.d/S45cleanfs
-	ln -sf ../init.d/udev_retry  ${EXTDIR}/rc.d/rcS.d/S50udev_retry
-	ln -sf ../init.d/console     ${EXTDIR}/rc.d/rcS.d/S70console
-	ln -sf ../init.d/sysctl      ${EXTDIR}/rc.d/rcS.d/S90sysctl
+	ln -sf ../init.d/mountvirtfs ${ETCDIR}/rc.d/rcS.d/S00mountvirtfs
+	ln -sf ../init.d/modules     ${ETCDIR}/rc.d/rcS.d/S05modules
+	ln -sf ../init.d/localnet    ${ETCDIR}/rc.d/rcS.d/S08localnet
+	ln -sf ../init.d/udev        ${ETCDIR}/rc.d/rcS.d/S10udev
+	ln -sf ../init.d/swap        ${ETCDIR}/rc.d/rcS.d/S20swap
+	ln -sf ../init.d/checkfs     ${ETCDIR}/rc.d/rcS.d/S30checkfs
+	ln -sf ../init.d/mountfs     ${ETCDIR}/rc.d/rcS.d/S40mountfs
+	ln -sf ../init.d/cleanfs     ${ETCDIR}/rc.d/rcS.d/S45cleanfs
+	ln -sf ../init.d/udev_retry  ${ETCDIR}/rc.d/rcS.d/S50udev_retry
+	ln -sf ../init.d/console     ${ETCDIR}/rc.d/rcS.d/S70console
+	ln -sf ../init.d/sysctl      ${ETCDIR}/rc.d/rcS.d/S90sysctl
 
 rc0: files
-	ln -sf ../init.d/network     ${EXTDIR}/rc.d/rc0.d/K80network
-	ln -sf ../init.d/sysklogd    ${EXTDIR}/rc.d/rc0.d/K90sysklogd
-	ln -sf ../init.d/sendsignals ${EXTDIR}/rc.d/rc0.d/S60sendsignals
-	ln -sf ../init.d/swap        ${EXTDIR}/rc.d/rc0.d/S65swap
-	ln -sf ../init.d/mountfs     ${EXTDIR}/rc.d/rc0.d/S70mountfs
-	ln -sf ../init.d/localnet    ${EXTDIR}/rc.d/rc0.d/S90localnet
-	ln -sf ../init.d/halt        ${EXTDIR}/rc.d/rc0.d/S99halt
+	ln -sf ../init.d/network     ${ETCDIR}/rc.d/rc0.d/K80network
+	ln -sf ../init.d/sysklogd    ${ETCDIR}/rc.d/rc0.d/K90sysklogd
+	ln -sf ../init.d/sendsignals ${ETCDIR}/rc.d/rc0.d/S60sendsignals
+	ln -sf ../init.d/swap        ${ETCDIR}/rc.d/rc0.d/S65swap
+	ln -sf ../init.d/mountfs     ${ETCDIR}/rc.d/rc0.d/S70mountfs
+	ln -sf ../init.d/localnet    ${ETCDIR}/rc.d/rc0.d/S90localnet
+	ln -sf ../init.d/halt        ${ETCDIR}/rc.d/rc0.d/S99halt
 
 rc1: files
-	ln -sf ../init.d/network     ${EXTDIR}/rc.d/rc1.d/K80network
-	ln -sf ../init.d/sysklogd    ${EXTDIR}/rc.d/rc1.d/K90sysklogd
+	ln -sf ../init.d/network     ${ETCDIR}/rc.d/rc1.d/K80network
+	ln -sf ../init.d/sysklogd    ${ETCDIR}/rc.d/rc1.d/K90sysklogd
 
 rc2: files
-	ln -sf ../init.d/network     ${EXTDIR}/rc.d/rc2.d/K80network
-	ln -sf ../init.d/sysklogd    ${EXTDIR}/rc.d/rc2.d/K90sysklogd
+	ln -sf ../init.d/network     ${ETCDIR}/rc.d/rc2.d/K80network
+	ln -sf ../init.d/sysklogd    ${ETCDIR}/rc.d/rc2.d/K90sysklogd
 
 rc3: files
-	ln -sf ../init.d/sysklogd    ${EXTDIR}/rc.d/rc3.d/S10sysklogd
-	ln -sf ../init.d/network     ${EXTDIR}/rc.d/rc3.d/S20network
+	ln -sf ../init.d/sysklogd    ${ETCDIR}/rc.d/rc3.d/S10sysklogd
+	ln -sf ../init.d/network     ${ETCDIR}/rc.d/rc3.d/S20network
 
 rc4: files
-	ln -sf ../init.d/sysklogd    ${EXTDIR}/rc.d/rc4.d/S10sysklogd
-	ln -sf ../init.d/network     ${EXTDIR}/rc.d/rc4.d/S20network
+	ln -sf ../init.d/sysklogd    ${ETCDIR}/rc.d/rc4.d/S10sysklogd
+	ln -sf ../init.d/network     ${ETCDIR}/rc.d/rc4.d/S20network
 
 rc5: files
-	ln -sf ../init.d/sysklogd    ${EXTDIR}/rc.d/rc5.d/S10sysklogd
-	ln -sf ../init.d/network     ${EXTDIR}/rc.d/rc5.d/S20network
+	ln -sf ../init.d/sysklogd    ${ETCDIR}/rc.d/rc5.d/S10sysklogd
+	ln -sf ../init.d/network     ${ETCDIR}/rc.d/rc5.d/S20network
 
 rc6: files
-	ln -sf ../init.d/network     ${EXTDIR}/rc.d/rc6.d/K80network
-	ln -sf ../init.d/sysklogd    ${EXTDIR}/rc.d/rc6.d/K90sysklogd
-	ln -sf ../init.d/sendsignals ${EXTDIR}/rc.d/rc6.d/S60sendsignals
-	ln -sf ../init.d/swap        ${EXTDIR}/rc.d/rc6.d/S65swap
-	ln -sf ../init.d/mountfs     ${EXTDIR}/rc.d/rc6.d/S70mountfs
-	ln -sf ../init.d/localnet    ${EXTDIR}/rc.d/rc6.d/S90localnet
-	ln -sf ../init.d/reboot      ${EXTDIR}/rc.d/rc6.d/S99reboot
+	ln -sf ../init.d/network     ${ETCDIR}/rc.d/rc6.d/K80network
+	ln -sf ../init.d/sysklogd    ${ETCDIR}/rc.d/rc6.d/K90sysklogd
+	ln -sf ../init.d/sendsignals ${ETCDIR}/rc.d/rc6.d/S60sendsignals
+	ln -sf ../init.d/swap        ${ETCDIR}/rc.d/rc6.d/S65swap
+	ln -sf ../init.d/mountfs     ${ETCDIR}/rc.d/rc6.d/S70mountfs
+	ln -sf ../init.d/localnet    ${ETCDIR}/rc.d/rc6.d/S90localnet
+	ln -sf ../init.d/reboot      ${ETCDIR}/rc.d/rc6.d/S99reboot
 
 uninstall:
-	rm -rf ${DESTDIR}/lib/services ${DESTDIR}/lib/lsb ${EXTDIR}/rc.d ${EXTDIR}/init.d \
-               ${SBIN}/ifup ${SBIN}/ifdown ${MAN8}/ifup.8 ${MAN8}/ifdown.8 \
-               ${EXTDIR}/sysconfig/rc 
+	rm -rf ${DESTDIR}/lib/services ${DESTDIR}/lib/lsb ${ETCDIR}/rc.d ${ETCDIR}/init.d \
+          ${SBIN}/ifup ${SBIN}/ifdown ${MAN8}/ifup.8 ${MAN8}/ifdown.8 \
+          ${ETCDIR}/sysconfig/rc 
 
 .PHONY: all create-dirs install files links rcS rc0 rc1 rc2 rc3 rc4 rc5 rc6 uninstall
Index: bootscripts/lfs/init.d/localnet
===================================================================
--- bootscripts/lfs/init.d/localnet	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/lfs/init.d/localnet	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -29,4 +29,5 @@
 . /lib/lsb/init-functions
 [ -r /etc/sysconfig/network ] && . /etc/sysconfig/network
+[ -r /etc/hostname ] && HOSTNAME=`cat /etc/hostname`
 
 case "${1}" in
Index: bootscripts/lfs/init.d/mountfs
===================================================================
--- bootscripts/lfs/init.d/mountfs	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/lfs/init.d/mountfs	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -40,4 +40,7 @@
       rm -f /fastboot /forcefsck
 
+      # Make sure /dev/pts exists
+      mkdir -p /dev/pts
+
       # This will mount all filesystems that do not have _netdev in
       # their option list.  _netdev denotes a network filesystem.
Index: bootscripts/lfs/init.d/mountvirtfs
===================================================================
--- bootscripts/lfs/init.d/mountvirtfs	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/lfs/init.d/mountvirtfs	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -32,10 +32,10 @@
 case "${1}" in
    start)
-      # Make sure /run/var is available before logging any messages
+      # Make sure /run is available before logging any messages
       if ! mountpoint /run >/dev/null; then
          mount /run || failed=1
       fi
 
-      mkdir -p /run/var /run/lock /run/shm
+      mkdir -p /run/lock /run/shm
       chmod 1777 /run/shm
 
Index: bootscripts/lfs/init.d/rc
===================================================================
--- bootscripts/lfs/init.d/rc	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/lfs/init.d/rc	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -218,5 +218,5 @@
 # Copy the boot log on initial boot only
 if [ "${previous}" == "N" -a  "${runlevel}" != "S" ]; then
-   cat /run/var/bootlog >> /var/log/boot.log
+   cat $BOOTLOG >> /var/log/boot.log
       
    # Mark the end of boot
@@ -224,5 +224,5 @@
    
    # Remove the temporary file
-   rm -f /run/var/bootlog 2> /dev/null
+   rm -f $BOOTLOG 2> /dev/null
 fi
 
Index: bootscripts/lfs/init.d/udev
===================================================================
--- bootscripts/lfs/init.d/udev	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/lfs/init.d/udev	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -50,15 +50,15 @@
       # Start the udev daemon to continually watch for, and act on,
       # uevents
-      /sbin/udevd --daemon
+      /lib/systemd-udevd --daemon
 
       # Now traverse /sys in order to "coldplug" devices that have
       # already been discovered
-      /sbin/udevadm trigger --action=add    --type=subsystems
-      /sbin/udevadm trigger --action=add    --type=devices
-      /sbin/udevadm trigger --action=change --type=devices
+      /bin/udevadm trigger --action=add    --type=subsystems
+      /bin/udevadm trigger --action=add    --type=devices
+      /bin/udevadm trigger --action=change --type=devices
 
       # Now wait for udevd to process the uevents we triggered
       if ! is_true "$OMIT_UDEV_SETTLE"; then
-         /sbin/udevadm settle
+         /bin/udevadm settle
       fi
 
Index: bootscripts/lfs/init.d/udev_retry
===================================================================
--- bootscripts/lfs/init.d/udev_retry	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/lfs/init.d/udev_retry	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -36,5 +36,5 @@
 
       # As of udev-186, the --run option is no longer valid
-      #rundir=$(/sbin/udevadm info --run)
+      #rundir=$(/bin/udevadm info --run)
       rundir=/run/udev
       # From Debian: "copy the rules generated before / was mounted
@@ -53,5 +53,5 @@
       while read line ; do
          for subsystem in $line ; do
-            /sbin/udevadm trigger --subsystem-match=$subsystem --action=add
+            /bin/udevadm trigger --subsystem-match=$subsystem --action=add
          done
       done
@@ -59,5 +59,5 @@
       # Now wait for udevd to process the uevents we triggered
       if ! is_true "$OMIT_UDEV_RETRY_SETTLE"; then
-         /sbin/udevadm settle
+         /bin/udevadm settle
       fi
 
Index: bootscripts/lfs/lib/services/init-functions
===================================================================
--- bootscripts/lfs/lib/services/init-functions	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ bootscripts/lfs/lib/services/init-functions	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -72,5 +72,5 @@
 WARNING_SUFFIX="${BRACKET}[${WARNING} WARN ${BRACKET}]${NORMAL}"
 
-BOOTLOG=/run/var/bootlog
+BOOTLOG=/run/bootlog
 KILLDELAY=3
 
Index: bootscripts/lfs/lib/systemd/ifupdown@.service
===================================================================
--- bootscripts/lfs/lib/systemd/ifupdown@.service	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ bootscripts/lfs/lib/systemd/ifupdown@.service	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -0,0 +1,12 @@
+[Unit]
+Description=Start ifupdown for %I
+BindTo=sys-subsystem-net-devices-%i.device
+ConditionPathExists=/etc/sysconfig/ifconfig.%i
+
+[Service]
+ExecStart=/sbin/ifup %I
+ExecStop=/sbin/ifdown %I
+RemainAfterExit=true
+
+[Install]
+WantedBy=multi-user.target
Index: bootscripts/lfs/units/ifupdownat.service
===================================================================
--- bootscripts/lfs/units/ifupdownat.service	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ bootscripts/lfs/units/ifupdownat.service	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -0,0 +1,12 @@
+[Unit]
+Description=Start ifupdown for %I
+BindTo=sys-subsystem-net-devices-%i.device
+ConditionPathExists=/etc/sysconfig/ifconfig.%i
+
+[Service]
+ExecStart=/sbin/ifup %I
+ExecStop=/sbin/ifdown %I
+RemainAfterExit=true
+
+[Install]
+WantedBy=multi-user.target
Index: general.ent
===================================================================
--- general.ent	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ general.ent	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20140331">
-<!ENTITY releasedate     "March 31, 2014">
+<!ENTITY version         "SVN-20140403">
+<!ENTITY releasedate     "April 3, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "7.6">
+<!ENTITY milestone       "8.0">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ packages.ent	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -129,4 +129,12 @@
 <!ENTITY diffutils-ch6-sbu "0.5 SBU">
 
+<!ENTITY dbus-version "1.8.0">
+<!ENTITY dbus-size "1,820 KB">
+<!ENTITY dbus-url "http://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
+<!ENTITY dbus-md5 "059fbe84e39fc99c67a14f15b1f39dff">
+<!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
+<!ENTITY dbus-ch6-du "35 MB">
+<!ENTITY dbus-ch6-sbu "less than 0.4 SBU">
+
 <!-- NOTE: When updating e2fsprogs, remember to check the list
      of acceptable features that can be shown by debugfs in
@@ -363,5 +371,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20140321">              <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20140331">              <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
@@ -599,11 +607,11 @@
 <!ENTITY texinfo-ch6-sbu "0.6 SBU">
 
-<!ENTITY systemd-version "208">
-<!ENTITY systemd-size    "2,328 KB">
+<!ENTITY systemd-version "211">
+<!ENTITY systemd-size    "2,604 KB">
 <!ENTITY systemd-url     "http://www.freedesktop.org/software/systemd/systemd-&systemd-version;.tar.xz">
-<!ENTITY systemd-md5     "df64550d92afbffb4f67a434193ee165">
+<!ENTITY systemd-md5     "0a70c382b6089526f98073b4ee85ef75">
 <!ENTITY systemd-home    "http://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-ch6-du  "29 MB">
-<!ENTITY systemd-ch6-sbu "0.1 SBU">
+<!ENTITY systemd-ch6-du  "410 MB">
+<!ENTITY systemd-ch6-sbu "4.5 SBU">
 
 <!ENTITY tzdata-version "2014a">
@@ -615,9 +623,9 @@
 <!ENTITY tzdata-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY udev-lfs        "udev-lfs-&systemd-version;-3">
-<!ENTITY udev-lfs-size   "29 KB">
-<!ENTITY udev-lfs-url    "&anduin-other;&udev-lfs;.tar.bz2">
-<!ENTITY udev-lfs-md5    "c0231ff619e567a9b11f912d8a7a404a">
-<!ENTITY udev-lfs-home   " ">
+<!ENTITY udev-lfs-version "udev-lfs-20140302">
+<!ENTITY udev-lfs-size    "11 KB">
+<!ENTITY udev-lfs-url     "&anduin-other;&udev-lfs-version;.tar.bz2">
+<!ENTITY udev-lfs-md5     "81fd93e43e2c232932f38223ba2b740c">
+<!ENTITY udev-lfs-home    " ">
 
 <!ENTITY util-linux-version "2.24.1">
Index: patches.ent
===================================================================
--- patches.ent	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ patches.ent	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -27,4 +27,8 @@
 <!ENTITY sysvinit-consolidated-patch-size "3.9 KB">
 
+<!ENTITY systemd-compat-patch "systemd-&systemd-version;-compat-1.patch">
+<!ENTITY systemd-compat-patch-md5 "0edc54bbe9391cfb072bc737312e6b7a">
+<!ENTITY systemd-compat-patch-size "12 KB">
+
 <!ENTITY tar-manpage-patch "tar-&tar-version;-manpage-1.patch">
 <!ENTITY tar-manpage-patch-md5 "321f85ec32733b1a9399e788714a5156">
Index: udev-lfs/ChangeLog
===================================================================
--- udev-lfs/ChangeLog	(revision 008436e04cb47fbba28ab083cf4ef9339699b5fd)
+++ udev-lfs/ChangeLog	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
@@ -1,2 +1,5 @@
+2014-03-02  <bdubbs@linuxfromscratch.org>
+   * Makefile.lfs: Remove build procedures leaving only LFS rules
+
 2014-02-16  <bdubbs@linuxfromscratch.org>
    * Makefile.lfs: Adjust warning flags.  Adjust linking rules to
